Subject: [PATCH] ARM: tegra30: tegra30 gpio is not compatible with tegra20 gpio

From: [email-masked] (Laxman Dewangan)
Date: Thu, 20 Dec 2012 11:46:57 +0530

On Wednesday 19 December 2012 10:34 PM, Stephen Warren wrote:
> On 12/19/2012 07:57 AM, Laxman Dewangan wrote:
>> tegra30 gpio controller is not compatible with the tegra20 due to
>> their bank stride i.e. Tegra20 bank stride is 0x80 where Tegra30
>> bank stride is 0x100.
> Thanks, I've been meaning to clean this up for a while, but never got
> around to it. I can apply after the merge window is closed; I don't
> think it's important enough to warrant going into 3.8 or earlier, since
> it doesn't cause any active problems.
>
> Have you checked all the other devices to make sure they're all correct to?

Not yet, I  am going one by one for finding if anything we are missing 
on IO drivers or not and then came across this.